EventLogRecord (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class EventLogRecord

    java.lang.Object
      org.hyperic.sigar.win32.EventLogRecord

    public class EventLogRecord

extends java.lang.Object

Class to represent event log records

Method Summary
`java.lang.String` | `getComputerName()` Get the machine name where the event was generated
`long` | `getEventId()` Event identifier.
`short` | `getEventType()` Return the event type.
`java.lang.String` | `getEventTypeString()`
`java.lang.String` | `getLogName()`
`java.lang.String` | `getMessage()` Get the message for the event.
`long` | `getRecordNumber()`
`java.lang.String` | `getSource()` Get the application which triggered the event
`java.lang.String` | `getStringData()` Deprecated.
`long` | `getTimeGenerated()` Get the time at which this entry was submitted.
`long` | `getTimeWritten()` Get the time at which this entry was received by the service to be written to the logfile.
`java.lang.String` | `getUser()` Get the user who generated the event.
`java.lang.String` | `toString()` For debugging

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLogName

    public java.lang.String getLogName()

  Returns:
    Event log name which generated the event

### getRecordNumber

    public long getRecordNumber()

### getTimeGenerated

    public long getTimeGenerated()

  Get the time at which this entry was submitted. This time is measured in the number of seconds elapsed since 00:00:00 January 1, 1970, Universal Coordinated Time.

### getTimeWritten

    public long getTimeWritten()

  Get the time at which this entry was received by the service to be written to the logfile. This time is measured in the number of seconds elapsed since 00:00:00 January 1, 1970, Universal Coordinated Time.

### getEventId

    public long getEventId()

  Event identifier. The value is specific to the event source for the event, and is used with source name to locate a description string in the message file for the event source. XXX: This is probably not needed

### getEventType

    public short getEventType()

  Return the event type. See the EVENTLOG_* constants in the EventLog class

### getEventTypeString

    public java.lang.String getEventTypeString()

### getSource

    public java.lang.String getSource()

  Get the application which triggered the event

### getComputerName

    public java.lang.String getComputerName()

  Get the machine name where the event was generated

### getUser

    public java.lang.String getUser()

  Get the user who generated the event. May be null if no user is associated with the event.

### getMessage

    public java.lang.String getMessage()

  Get the message for the event.

### getStringData

    public java.lang.String getStringData()

  Deprecated.

### toString

    public java.lang.String toString()

  For debugging

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.